Arduino

Buy | Download | Getting Started | Learning | Reference | Hardware | FAQ

Blog » | Forum » | Playground »

Reference Language | Libraries | Comparison | Changes

String

## equals()

#### Description

Compares two strings for equality. The comparison is case-sensitive, meaning the String("hello") is not equal to the String("HELLO").

#### Syntax

string.equals(string2)

#### Parameters

string, string2: variables of type String

#### Returns

true: if string equals string2
false: otherwise

#### Example

- StringComparisonOperators?

#### See also

- equalsIgnoreCase()
- compareTo()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

Share|
Edit Page | Page History | Printable View | All Recent Site Changes